# Supported Fiat Currencies

This API request will return a comprehensive list of supported fiat currencies and their price. Each currency is represented by a key-value pair, where the key is the currency code (e.g., USD, AUD) and the value is an object containing details such as symbol, name, price, and display precision.

This data can be used to populate a user interface and allows merchants to create invoices using fiat currencies.

<mark style="color:green;">`POST`</mark> `https://api.oxapay.com/api/fiats`

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "result": integer, // The result code indicates the success or failure of the request.
  "message": string, // A message providing additional information about the result.
  "data": array of Object // An array containing the supported fiat currencies in OxaPay. Each currency is represented as a object.
}
```

{% endtab %}
{% endtabs %}

### Sample output

```json
{
  "result": 100,
  "message": "Successful operation",
  "data": {
    "USD": {
      "symbol": "USD",
      "name": "United States Dollar",
      "price": "1",
      "displayPrecision": "0.001"
    },
    "AMD": {
      "symbol": "AMD",
      "name": "Armenian Dram",
      "price": "0.00246243",
      "displayPrecision": "0.1"
    },
    "AUD": {
      "symbol": "AUD",
      "name": "Australian Dollar",
      "price": "0.65220935",
      "displayPrecision": "0.001"
    },
    "AZN": {
      "symbol": "AZN",
      "name": "Azerbaijani Manat",
      "price": "0.58823529",
      "displayPrecision": "0.001"
    },
    ...
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oxapay.com/legacy/api-reference/supported-fiat-currencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
